

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ __ASeq_6;

#include "ComTimeout.h"
extern OBJ _AComTimeout_Atimeout(OBJ);OBJ __AComTimeout_Atimeout; /* timeout */
extern OBJ _AComTimeout_AtimeoutProc(OBJ,OBJ);OBJ __AComTimeout_AtimeoutProc; /* timeoutProc */

#include "ComTimeout.hc.c"

extern OBJ _AComTimeout_Atimeout(OBJ x1) /* timeout */
{OBJ r;
 CPCLS(__AComTimeout_AtimeoutProc,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AComTimeout_AtimeoutProc,1))(__AComTimeout_AtimeoutProc,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

init_AComTimeout()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_AVoid();
 init_ACom();
 init_ASeq();
 init_AOption();
 init_ASeqMap();
 CLS(2,_AComTimeout_2,__AComTimeout_2);
 CLS(1,_AComTimeout_1,__AComTimeout_1);
 init_const_AComTimeout();}

